Subject: bug#50988: 26.3; gnus-cloud gets wrong chunk byte count writing sync from windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Oct 2021 14:04:44 +0300

> From: Steinar Bang <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 03 Oct 2021 12:32:51 +0200
> 
> > If gnus-cloud synchronizes your files with a remote repository, then
> > the files on the remote should have the same EOL format as on your
> > original disk, so where does Emacs strip or ignore the CR characters
> > to come up with a smaller number of bytes in the actual transfer?
> 
> I'm not sure where the conversion happens and have been unable to figure
> it out.
> 
> But I'm guessing the buffer inserted into here, has eol lf-only and that
> this is where/when the conversion happens:
>  https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/gnus/gnus-cloud.el#n104

Sounds unlikely: inserting a string into a buffer doesn't change the
EOL format, or at least isn't supposed to.